/* make a hard link */

#include <errno.h>
#include <mintbind.h>

extern int __mint;

/*
 * if MiNT is not active, we try to fail gracefully
 */

int
link(old, new)
	char *old, *new;
{
	long r;

	if (__mint < 9) {
		errno = EXDEV;
		return -1;
	}
	r = Flink(old, new);
	if (r < 0) {
		errno = -r;
		return -1;
	}
	return 0;
}
