#ifdef __STDC__
# define	P(s) s
#else
# define P(s) ()
#endif


/* minixfs.c */
FILESYS *minix_init P((struct kerinfo *k ));
int minix_sanity P((int drv ));
int nolrecno P((char *cmptest2 , int scsiz , int drv ));
static long m_dskchng P((int d ));
void m_invalidate P((int drv ));
int chk_zone P((long num , int drv , char *mesg ));
int chk_inode P((long num , super_info *psblk , char *mesg ));
void crwabs P((int rw , void *buf , unsigned num , long recno , int dev ));
int init_cache P((void ));
void l_sync P((void ));
cache *in_cache P((long numr , int drive , cache_control *control ));
bufr *cget_block P((long numr , int drive , cache_control *control ));
cache *cache_get P((long numr , int drive , cache_control *control ));
int cput_block P((long numr , int drive , void *buf , cache_control *control ));
int read_inode P((unsigned num , d_inode *rip , int drv ));
int write_inode P((unsigned num , d_inode *rip , int drv ));
int read_zone P((long num , void *buf , int drive , cache_control *control ));
bufr *get_zone P((long num , int drive ));
int write_zone P((long num , void *buf , int drive , cache_control *control ));
int write_zones P((long num , void *buf , int drive , cache_control *control ));
int read_zones P((long num , void *buf , int drive , cache_control *control ));
long find_zone P((d_inode *rip , long numr , int drive , int flag ));
int next_zone P((d_inode *rip , long numr , void *buf , int drive ));
int cnext_zone P((d_inode *rip , long numr , bufr **buf , int drive ));
off_t search_dir P((char *name , unsigned inum , int drive , int flag ));
int badname P((char *name ));
static long m_root P((int dev , fcookie *dir ));
static long m_lookup P((fcookie *dir , char *name , fcookie *entry ));
static long m_creat P((fcookie *dir , char *name , unsigned mode , int attr , fcookie *entry ));
static DEVDRV *m_getdev P((fcookie *file , long *special ));
static long m_getxattr P((fcookie *file , XATTR *xattr ));
static long m_chown P((fcookie *file , int uid , int gid ));
static long m_chmode P((fcookie *file , unsigned mode ));
static long m_mkdir P((fcookie *dir , char *name , unsigned mode ));
static long m_rmdir P((fcookie *dir , char *name ));
static long m_remove P((fcookie *dir , char *name ));
static long m_getname P((fcookie *root , fcookie *dir , char *pathname ));
static long m_open P((FILEPTR *f ));
static long m_close P((FILEPTR *f, int pid ));
static long m_read P((FILEPTR *f , char *buf , long len ));
static long m_seek P((FILEPTR *f , long offset , int flag ));
static long m_write P((FILEPTR *f , char *buf , long len ));
static long m_ioctl P((FILEPTR *f , int mode , void *buf ));
static long m_datime P((FILEPTR *f , int *timeptr , int flag ));
static long m_select P((FILEPTR *f , long proc , int mode ));
static void m_unselect P((FILEPTR *f , long proc , int mode ));
static long m_opendir P((DIR *dirh , int flag ));
static long m_readdir P((DIR *dirh , char *name , int namelen , fcookie *fc ));
static long m_rewinddir P((DIR *dirh ));
static long m_closedir P((DIR *dirh ));
static long m_rlabel P((fcookie *dir , char *name , int namelen ));
static long m_wlabel P((fcookie *dir , char *name ));
static long m_dfree P((fcookie *dir , long *buffer ));
static long m_fscntl P((fcookie *dir , char *name , int cmd , long arg ));
long count_bits P((ushort *buf , long num ));
int bitcount P((unsigned int wrd ));
char *tosify P((char *name , int flag , int mnamlength ));
long alloc_zone P((int drive ));
mino_t alloc_inode P((int drive ));
int free_zone P((long zone , int drive ));
int free_inode P((unsigned inum , int drive ));
long alloc_bit P((ushort *buf , long num , long last ));
long free_bit P((ushort *buf , long bitnum ));
long l_write P((unsigned inum , off_t pos , off_t len , void *buf , int drive ));
int inode_busy P((unsigned inum , int drive ));
static long m_rename P((fcookie *olddir , char *oldname , fcookie *newdir , char *newname ));
static long is_parent P((unsigned dir1 , unsigned dir2 , int drive ));
static long m_hardlink P((fcookie *fromdir , char *fromname , fcookie *todir , char *toname ));
static long m_symlink P((fcookie *dir , char *name , char *to ));
static long m_readlink P((fcookie *file , char *buf , int len ));
void btos_cpy P((char *to , char *from ));
int stob_ncpy P((char *to , char *from , long n ));
static long m_chattr P((fcookie *file , int attr ));
static long m_pathconf P((fcookie *dir , int which ));
int do_trans P((long flag ));
void trunc_inode P((d_inode *rip , int drive , long count , int zap ));
long istat P((unsigned inum , int drive , XATTR *st ));
long ichmod P((unsigned inum , int drive , unsigned mode ));
long ichown P((unsigned inum , int drive , int user , int group ));
long itruncate P((unsigned inum , int drive , off_t length ));

#undef P
